## snpeff 5.1+dfsg

=== requirements.txt ===
click==7.1.2
future==0.18.2
Jinja2==2.11.2
joblib==1.0.0
livereload==2.6.3
lunr==0.5.8
Markdown==3.3.3
MarkupSafe==1.1.1
mkdocs==1.1.2
mkdocs-material==5.2.0
mkdocs-material-extensions==1.0.1
nltk==3.5
Pygments==2.7.4
pymdown-extensions==8.1.1
PyYAML==5.4.1
regex==2020.11.13
six==1.15.0
tornado==6.1
tqdm==4.56.0

## snpeff 4.3t+dfsg1

=== debian/changelog ===
snpeff (4.3t+dfsg1-2) unstable; urgency=medium

  * Source-only upload
  * Adding a Lintian override for "we" in long description

 -- Pierre Gruet <pgt@debian.org>  Sat, 22 Jan 2022 20:45:23 +0100

snpeff (4.3t+dfsg1-1) experimental; urgency=medium

  * Initial release (Closes: #986141)

 -- Pierre Gruet <pgt@debian.org>  Sat, 22 Jan 2022 14:41:57 +0100

=== debian/control ===
Source: snpeff
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Pierre Gruet <pgt@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper-compat (= 13),
               javahelper,
               default-jdk,
               default-jdk-doc,
               maven-debian-helper,
               libmaven-assembly-plugin-java,
               libtrove3-java,
               liblog4j1.2-java,
               libhtsjdk-java,
               libbiojava4-java,
               junit4,
               libcommons-codec-java,
               libcommons-io-java,
               libcommons-cli-java,
               libcommons-math3-java,
               libfreemarker-java,
               libmaven-javadoc-plugin-java,
               junit4-doc,
               libcommons-codec-java-doc,
               libcommons-io-java-doc,
               libcommons-math3-java-doc,
               libfreemarker-java-doc,
               liblog4j1.2-java-doc,
               libhtsjdk-java-doc,
               libbiojava4-java-doc,
               libtrove3-java-doc,
               libcharts4j-java,
               libapfloat-java,
               libdistlib-java,
               scala-library
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/snpeff
Vcs-Git: https://salsa.debian.org/med-team/snpeff.git
Homepage: https://pcingola.github.io/SnpEff/
Rules-Requires-Root: no

Package: libsnpeff-java
Architecture: all
Depends: ${misc:Depends},
         ${maven:Depends}
Suggests: ${maven:OptionalDepends},
          libsnpeff-java-doc
Description: genetic variant annotation and effect prediction toolbox - lib
 SnpEff is a variant annotation and effect prediction tool. It annotates
 and predicts the effects of variants on genes (such as amino acid
 changes).
 .
 The inputs are predicted variants (SNPs, insertions, deletions and
 MNPs). The input file is usually obtained as a result of a sequencing
 experiment, and it is usually in variant call format (VCF).
 .
 SnpEff analyzes the input variants. It annotates the variants and
 calculates the effects they produce on known genes (e.g. amino acid
 changes).
 .
 This package contains the library.

Package: snpeff
Architecture: all
Depends: default-jre,
         ${java:Depends},
         ${misc:Depends},
         libsnpeff-java (= ${binary:Version})
Suggests: vcfanno
Description: genetic variant annotation and effect prediction toolbox - tool
 "We are all different!" Geneticists agree to this.
 Even twins, who are said to be identical are on a molecular
 level only "mostly" identical. And even within the exact same individual,
 healthy cells acquire mutations such that we are all genetic mosaics.
 Changes to individual cells may be induced by environmental factors,
 e.g. like UV light, or happen sporadically as mishaps during cellular
 divisions.
 .
 Because there are so many genetic differences, and most have just no
 particular meaning for the development of a phenotype, i.e. most have no
 effect, it would be nice to have heuristics implemented that direct the
 researcher towards single-nucleotide polymorphisms (SNPs) that are most
 likely to be relevant. This identifies the gene that causes or contributes
 to, e.g, an illness, and possibly also genes that are affected by that
 change. Such mechanistic understanding of a disease, particularly when
 multiple genes and multiple genetic variants are contributing to the
 then "polygenic" phenotype, is at the onset of drug development and
 increasingly also for selecting individualized therapies in the clinic.
 .
 SnpEff is a variant annotation and effect prediction tool. It annotates
 and predicts the effects of variants on genes (such as amino acid
 changes).
 The inputs are predicted variants (SNPs, insertions, deletions and
 MNPs). The input file is usually obtained as a result of a sequencing
 experiment, and it is usually in variant call format (VCF).
 .
 SnpEff analyzes the input variants. It annotates the variants and
 calculates the effects they produce on known genes (e.g. amino acid
 changes).
 .
 This package contains the command line tool.

Package: libsnpeff-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: ${maven:DocDepends},
            ${maven:DocOptionalDepends}
Suggests: libsnpeff-java
Description: Documentation for Snp Effect
 Variant annotation and effect prediction package.
 .
 This package contains the API documentation of libsnpeff-java.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

export JAVA_HOME=/usr/lib/jvm/default-java
export LC_ALL=C.UTF-8

%:
	dh $@ --with javahelper

override_dh_auto_clean:
	dh_auto_clean
	# Removing the unit tests we copied into a subdirectory of src/test.
	if [ -e src/test/java/org ]; then \
	        $(RM) -rf src/test/java/org; \
	fi
	# Replacing our pom with the true version number by the original one.
	if [ -e pom.xml.old ]; then \
	        mv pom.xml.old pom.xml; \
	fi
	# Replacing our modified org/snpeff/SnpEff.java with the original one.
	if [ -e SnpEff.java.old ]; then \
	        mv SnpEff.java.old src/main/java/org/snpeff/SnpEff.java; \
	fi

override_dh_auto_configure:
	# Upstream provides pom.xml with an incomplete version number. We do a trick
	# with a patch in debian/patches and with the next lines to put the right one.
	cp pom.xml pom.xml.old
	sed 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/ ; s/\+dfsg[[:digit:]]*//' pom.xml.old > pom.xml
	# We replace the compiling timestamp by the one in d/changelog to enhance
	# build reproducibility.
	cp src/main/java/org/snpeff/SnpEff.java SnpEff.java.old
	sed "s/Gpr\.compile.*/\"$$(date --utc --date="@$(SOURCE_DATE_EPOCH)" +"%Y-%m-%d %H:%M" )\";/" SnpEff.java.old > src/main/java/org/snpeff/SnpEff.java
	dh_auto_configure

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Moving the unit tests into a subdir of src/test so that Maven sees them.
	mkdir -p src/test/java/org/snpeff/snpEffect/testCases/unity
	cp -a src/main/java/org/snpeff/snpEffect/testCases/unity src/test/java/org/snpeff/snpEffect/testCases
	dh_auto_test
endif

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
   https://github.com/pcingola/SnpEff/releases (?:.*?/)?v?(\d[\da-z.]*)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## snpeff 5.1+dfsg

=== debian/changelog ===
snpeff (5.1+dfsg-2) unstable; urgency=medium

  * Depending on libbiojava5-java instead of libbiojava4-java
  * Refreshing patches
  * Refreshing d/maven.rules
  * Removing junit4-doc as build-dependency
  * Putting changes related to FastQ classes and biojava5 classes into two
    different patches

 -- Pierre Gruet <pgt@debian.org>  Thu, 24 Feb 2022 07:09:20 +0100

snpeff (5.1+dfsg-1) unstable; urgency=medium

  * New upstream version 5.1+dfsg
  * Using tags instead of releases in d/watch
  * Refreshing patches
  * Refreshing d/copyright
  * Updating classpath, dependencies list and related Maven rules, notably
    switching to junit5
  * The path of the config file in the source has moved
  * Using Debian-packaged biojava4 instead of biojava6, while upstream
    previously used biojava3
  * Disabling tests needing files that are not available
  * Marking the doc package as Multi-Arch: foreign
  * Adding a Lintian override for a file with very-long-lines
  * Removing README.source about Mavenization
  * Having the conffile provided by libsnpeff-java instead of snpeff, as the
    lib itself now needs it
  * Adding autopkgtest based on unit tests

 -- Pierre Gruet <pgt@debian.org>  Wed, 09 Feb 2022 13:12:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,29 +11,26 @@
                maven-debian-helper,
                libmaven-assembly-plugin-java,
                libtrove3-java,
-               liblog4j1.2-java,
                libhtsjdk-java,
-               libbiojava4-java,
-               junit4,
+               libbiojava5-java,
+               junit5,
                libcommons-codec-java,
                libcommons-io-java,
                libcommons-cli-java,
                libcommons-math3-java,
                libfreemarker-java,
+               libjaxb-api-java,
                libmaven-javadoc-plugin-java,
-               junit4-doc,
                libcommons-codec-java-doc,
                libcommons-io-java-doc,
                libcommons-math3-java-doc,
                libfreemarker-java-doc,
-               liblog4j1.2-java-doc,
                libhtsjdk-java-doc,
-               libbiojava4-java-doc,
+               libbiojava5-java-doc,
                libtrove3-java-doc,
                libcharts4j-java,
                libapfloat-java,
-               libdistlib-java,
-               scala-library
+               libdistlib-java
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/snpeff
 Vcs-Git: https://salsa.debian.org/med-team/snpeff.git
@@ -43,7 +40,9 @@
 Package: libsnpeff-java
 Architecture: all
 Depends: ${misc:Depends},
-         ${maven:Depends}
+         ${maven:Depends},
+         libbiojava5-java,
+         libhtsjdk-java
 Suggests: ${maven:OptionalDepends},
           libsnpeff-java-doc
 Description: genetic variant annotation and effect prediction toolbox - lib
@@ -108,6 +107,7 @@
 Recommends: ${maven:DocDepends},
             ${maven:DocOptionalDepends}
 Suggests: libsnpeff-java
+Multi-Arch: foreign
 Description: Documentation for Snp Effect
  Variant annotation and effect prediction package.
  .

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

export JAVA_HOME=/usr/lib/jvm/default-java
export LC_ALL=C.UTF-8

%:
	dh $@ --with javahelper

override_dh_auto_clean:
	dh_auto_clean
	# Removing the unit tests we copied into a subdirectory of src/test.
	if [ -e src/test/java/org ]; then \
	        $(RM) -rf src/test/java/org; \
	fi
	# Replacing our modified org/snpeff/SnpEff.java with the original one.
	if [ -e SnpEff.java.old ]; then \
	        mv SnpEff.java.old src/main/java/org/snpeff/SnpEff.java; \
	fi

override_dh_auto_configure:
	# We replace the compiling timestamp by the one in d/changelog to enhance
	# build reproducibility.
	cp src/main/java/org/snpeff/SnpEff.java SnpEff.java.old
	sed "s/Gpr\.compile.*/\"$$(date --utc --date="@$(SOURCE_DATE_EPOCH)" +"%Y-%m-%d %H:%M" )\";/" SnpEff.java.old > src/main/java/org/snpeff/SnpEff.java
	dh_auto_configure

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Moving the unit tests into a subdir of src/test so that Maven sees them.
	mkdir -p src/test/java/org/snpeff/snpEffect/testCases
	cp -a src/main/java/org/snpeff/snpEffect/testCases/integration src/test/java/org/snpeff/snpEffect/testCases
	cp -a src/main/java/org/snpeff/snpEffect/testCases/unity src/test/java/org/snpeff/snpEffect/testCases
	dh_auto_test
endif

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
   https://github.com/pcingola/SnpEff/tags (?:.*?/)?v?(\d[\da-z.]*)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## snpeff 5.1+d+dfsg

=== debian/changelog ===
snpeff (5.1+d+dfsg-3) unstable; urgency=medium

  * Lowering heap allocation for non 64-bit architectures

 -- Pierre Gruet <pgt@debian.org>  Fri, 20 Jan 2023 20:55:32 +0100

snpeff (5.1+d+dfsg-2) unstable; urgency=medium

  * Depending on biojava6 instead of biojava5
  * Raising Standards version to 4.6.2 (no change)
  * Update Lintian override info format in d/source/lintian-overrides on line 2
  * Adding a Lintian override for the bad-jar-name tag
  * Correcting the mismatched Lintian overrride about embedded JS

 -- Pierre Gruet <pgt@debian.org>  Thu, 12 Jan 2023 21:21:57 +0100

snpeff (5.1+d+dfsg-1) unstable; urgency=medium

  * New upstream version 5.1+d+dfsg
  * Raising Standards version to 4.6.1 (no change)
  * Refreshing patches
  * Mangling in debian/watch to follow upstream versioning scheme
  * Updating the list of files to exclude when repacking
  * (Build-)depending only on needed -doc packages (Closes: #1012257)

 -- Pierre Gruet <pgt@debian.org>  Thu, 02 Jun 2022 20:43:41 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libmaven-assembly-plugin-java,
                libtrove3-java,
                libhtsjdk-java,
-               libbiojava5-java,
+               libbiojava6-java,
                junit5,
                libcommons-codec-java,
                libcommons-io-java,
@@ -21,17 +21,12 @@
                libfreemarker-java,
                libjaxb-api-java,
                libmaven-javadoc-plugin-java,
-               libcommons-codec-java-doc,
-               libcommons-io-java-doc,
-               libcommons-math3-java-doc,
-               libfreemarker-java-doc,
-               libhtsjdk-java-doc,
-               libbiojava5-java-doc,
+               libbiojava6-java-doc,
                libtrove3-java-doc,
                libcharts4j-java,
                libapfloat-java,
                libdistlib-java
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/snpeff
 Vcs-Git: https://salsa.debian.org/med-team/snpeff.git
 Homepage: https://pcingola.github.io/SnpEff/
@@ -41,7 +36,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${maven:Depends},
-         libbiojava5-java,
+         libbiojava6-java,
          libhtsjdk-java
 Suggests: ${maven:OptionalDepends},
           libsnpeff-java-doc
@@ -104,8 +99,9 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: ${maven:DocDepends},
-            ${maven:DocOptionalDepends}
+Recommends: default-jdk-doc,
+            libbiojava6-java-doc,
+            libtrove3-java-doc
 Suggests: libsnpeff-java
 Multi-Arch: foreign
 Description: Documentation for Snp Effect

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
  uversionmangle=s/([0-9.]+)([a-zA-Z]+)/$1+$2/, \
  repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
   https://github.com/pcingola/SnpEff/tags (?:.*?/)?v?(\d[\da-z.]*)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## snpeff 5.2.b+dfsg

=== requirements.txt ===
certifi==2023.5.7
charset-normalizer==3.2.0
click==8.1.6
colorama==0.4.6
ghp-import==2.1.0
idna==3.4
Jinja2==3.1.2
Markdown==3.3.7
MarkupSafe==2.1.3
mergedeep==1.3.4
mkdocs==1.4.3
mkdocs-material==9.1.19
mkdocs-material-extensions==1.1.1
packaging==23.1
Pygments==2.15.1
pymdown-extensions==10.1
python-dateutil==2.8.2
PyYAML==6.0.1
pyyaml_env_tag==0.1
regex==2023.6.3
requests==2.31.0
six==1.16.0
urllib3==2.0.4
watchdog==3.0.0

=== debian/changelog ===
snpeff (5.2.b+dfsg-1) unstable; urgency=medium

  [ Pierre Gruet ]
  * New upstream version
  * Refreshing patches
  * Changing the path to tests in the autopkgtest
  * Alleviating d/rules and correcting paths in the patches as build-time
    test .java files are now conveniently located under src/test
  * Removing now unused Lintian override

  [ Andreas Tille ]
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Lintian-override for all source-is-missing issues
  * d/watch: fix download name

 -- Andreas Tille <tille@debian.org>  Tue, 28 Nov 2023 16:56:18 +0100

=== debian/tests/control ===
Tests: run-unit-test
Depends: default-jdk-headless, junit5, libsnpeff-java, quilt
Restrictions: allow-stderr

## snpeff 5.2.e+dfsg

=== debian/changelog ===
snpeff (5.2.e+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.e+dfsg
  * Refreshing patches
  * Raising Standards version to 4.7.0 (no change)
  * Updating the list of files to remove when repacking

 -- Pierre Gruet <pgt@debian.org>  Sat, 05 Oct 2024 22:58:54 +0200

## snpeff 5.2.f+dfsg

=== scripts_build/data/ptrichocarpa210/Makefile ===
################################################################################
#Getting SNPEff to work, build the ptr database
#
#@author:charles.hefer@gmail.com
###############################################################################
all: database

#Potri.019G130700.recode.vcf:
	#Copied from the GeneVCF directory, not required for support

#snpEff.config:
	#the original, but added new database lines : ptrichocarpa210.genome: Populus_trichocarpa

###############################################################################
#Create the required directories
###############################################################################
.data/ptrichocarpa210:
	mkdir -p data/ptrichocarpa210

.data/genomes:
	mkdir -p data/genomes
	
###############################################################################
#Step1
#Download the datasets to the current directory
###############################################################################
Ptrichocarpa_210_gene.gff3:
	wget ftp://ftp.jgi-psf.org/pub/compgen/phytozome/v9.0/Ptrichocarpa/annotation/Ptrichocarpa_210_gene.gff3.gz
	gunzip Ptrichocarpa_210_gene.gff3.gz

Ptrichocarpa_210.fa:
	wget ftp://ftp.jgi-psf.org/pub/compgen/phytozome/v9.0/Ptrichocarpa/assembly/Ptrichocarpa_210.fa.gz
	gunzip Ptrichocarpa_210.fa.gz

Ptrichocarpa_210_protein_primaryTranscriptOnly.fa: 
	wget ftp://ftp.jgi-psf.org/pub/compgen/phytozome/v9.0/Ptrichocarpa/annotation/Ptrichocarpa_210_protein_primaryTranscriptOnly.fa.gz
	gunzip Ptrichocarpa_210_protein_primaryTranscriptOnly.fa.gz

Ptrichocarpa_210_protein.fa:
	wget ftp://ftp.jgi-psf.org/pub/compgen/phytozome/v9.0/Ptrichocarpa/annotation/Ptrichocarpa_210_protein.fa.gz
	gunzip Ptrichocarpa_210_protein.fa.gz

Ptrichocarpa_210_cds.fa:
	wget ftp://ftp.jgi-psf.org/pub/compgen/phytozome/v9.0/Ptrichocarpa/annotation/Ptrichocarpa_210_cds.fa.gz
	gunzip Ptrichocarpa_210_cds.fa.gz


###############################################################################
#Make the required directory structure, perform mods, build database
###############################################################################
data/ptrichocarpa210/genes.gff: Ptrichocarpa_210_gene.gff3 | .data/ptrichocarpa210
	cat Ptrichocarpa_210_gene.gff3 \
		| sed 's/Name=/biotype=protein_coding;Name=/' \
		| sed 's/longest/constitutive/' \
		> Ptrichocarpa_210_gene.gff3.mod
	mv Ptrichocarpa_210_gene.gff3.mod data/ptrichocarpa210/genes.gff
	
data/genomes/ptrichocarpa210.fa: Ptrichocarpa_210.fa | .data/genomes
	cp Ptrichocarpa_210.fa data/genomes/ptrichocarpa210.fa
	
data/ptrichocarpa210/protein.fa: Ptrichocarpa_210_protein.fa | .data/ptrichocarpa210
	less Ptrichocarpa_210_protein.fa \
		> Ptrichocarpa_210_protein.fa.mod
	cat Ptrichocarpa_210_protein.fa.mod | sed "s/>Potri.*|PACid:/>PAC:/" > data/ptrichocarpa210/protein.fa
	
data/ptrichocarpa210/cds.fa: Ptrichocarpa_210_cds.fa | .data/ptrichocarpa210
	cat Ptrichocarpa_210_cds.fa | sed "s/>Potri.*|PACid:/>PAC:/" > data/ptrichocarpa210/cds.fa

###############################################################################
#Build the database
###############################################################################
database: data/ptrichocarpa210/genes.gff data/genomes/ptrichocarpa210.fa data/ptrichocarpa210/protein.fa data/ptrichocarpa210/cds.fa
	java -jar snpEff.jar build -gff3 ptrichocarpa210

=== debian/changelog ===
snpeff (5.2.f+dfsg-1) unstable; urgency=medium

  * New upstream version 5.2.f+dfsg
  * Restricting autopkgtest architectures

 -- Pierre Gruet <pgt@debian.org>  Sun, 16 Feb 2025 11:39:47 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                libcharts4j-java,
                libapfloat-java,
                libdistlib-java
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/snpeff
 Vcs-Git: https://salsa.debian.org/med-team/snpeff.git
 Homepage: https://pcingola.github.io/SnpEff/

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

export JAVA_HOME=/usr/lib/jvm/default-java
export LC_ALL=C.UTF-8

%:
	dh $@ --with javahelper

override_dh_auto_clean:
	dh_auto_clean
	# Replacing our modified org/snpeff/SnpEff.java with the original one.
	if [ -e SnpEff.java.old ]; then \
	        mv SnpEff.java.old src/main/java/org/snpeff/SnpEff.java; \
	fi

override_dh_auto_configure:
	# We replace the compiling timestamp by the one in d/changelog to enhance
	# build reproducibility.
	cp src/main/java/org/snpeff/SnpEff.java SnpEff.java.old
	sed "s/Gpr\.compile.*/\"$$(date --utc --date="@$(SOURCE_DATE_EPOCH)" +"%Y-%m-%d %H:%M" )\";/" SnpEff.java.old > src/main/java/org/snpeff/SnpEff.java
	dh_auto_configure

=== debian/tests/control ===
# Testing only on architectures on which htsjdk is available
Tests: run-unit-test
Depends: default-jdk-headless, junit5, libsnpeff-java, quilt
Restrictions: allow-stderr
Architecture: amd64 arm64

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\da-z.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
  uversionmangle=s/([0-9.]+)([a-zA-Z]+)/$1.$2/, \
  repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
   https://github.com/pcingola/SnpEff/tags (?:.*?/)?v?(\d[\da-z.]*)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## snpeff 5.4.b+dfsg

=== debian/changelog ===
snpeff (5.4.b+dfsg-2) unstable; urgency=medium

  * Team Upload
  * autopkgtest does not need "quilt" anymore
  * Rewrite d/rules with newer & shorter syntax

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Mar 2026 15:07:22 +0100

snpeff (5.4.b+dfsg-1) unstable; urgency=medium

  * New upstream version 5.4.b+dfsg
  * Refreshing patches
  * Raising Standards version to 4.7.3:
    - Removing Priority: optional, which is default
    - Removing R-R-R: no, which is now default
  * Rewriting d/watch with version 5

 -- Pierre Gruet <pgt@debian.org>  Sat, 21 Feb 2026 15:36:13 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,14 @@
 %:
 	dh $@ --with javahelper
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	# Replacing our modified org/snpeff/SnpEff.java with the original one.
 	if [ -e SnpEff.java.old ]; then \
 	        mv SnpEff.java.old src/main/java/org/snpeff/SnpEff.java; \
 	fi
 
-override_dh_auto_configure:
+execute_before_dh_auto_configure:
 	# We replace the compiling timestamp by the one in d/changelog to enhance
 	# build reproducibility.
 	cp src/main/java/org/snpeff/SnpEff.java SnpEff.java.old
 	sed "s/Gpr\.compile.*/\"$$(date --utc --date="@$(SOURCE_DATE_EPOCH)" +"%Y-%m-%d %H:%M" )\";/" SnpEff.java.old > src/main/java/org/snpeff/SnpEff.java
-	dh_auto_configure

=== debian/tests/control ===
# Testing only on architectures on which htsjdk is available
Tests: run-unit-test
Depends: default-jdk-headless, junit5, libsnpeff-java
Restrictions: allow-stderr
Architecture: amd64 arm64
